# Contributing

Sklearn-genetic-opt is an open-source project and contributions of all kinds
are welcome.

You can contribute with documentation, examples, reviewing pull requests, code,
helping answer questions in issues, creating visualizations, maintaining project
infrastructure, and writing user stories. 

Code contributions are always welcome, from simple bug fixes, to new features.
Also consider contributing to the documentation, is the easiest way to get started 

Contributions should follow these guidelines:

* Fork this project, make the changes you expect to merge and make a pull request 
* If the working you are making is related to some issue, mention in the comments 
  you are working on it
* If you are working in a new feature, or have an idea, consider first opening an issue
  so people know in what you are working on and possible give some guidelines
* all changes by pull request (PR)
* a PR solves one problem (do not mix problems together in one PR) with the
  minimal set of changes
* describe why you are proposing the changes you are proposing
* Please run black on top of the package to keep the formatting style
    ```bash
    black .
    ```
* no merging if travis is red.

Thank you for being part of this project!